
let _log = function(...txt){
    console.log(...txt);
};

let _logNotSupport = function(...txt){
    console.error("commonlog-kb is not init, please check env.commonLog");
};

logger = {            
    debug:_log,
    info:_log,
    warn:_log,
    error:_log,
    summary:_logNotSupport,
    detail:_logNotSupport,
    stat:_log,

    mock: ()=>{
        logger.detail = _log;
        logger.summary = _log;
        return logger;
    }
}

module.exports = logger;