
let utils = function () {
    let cType_TXT = [
        "text/plain",
        "application/json",
        "text/xml",
        "text/html",
        "application/xml",
        "application/javascript",
        "text/css",
        "text/csv",
    ];

    function checkCType(ctype){
        if(ctype){
            if( ctype.includes(';') ){
                ctype = ctype.split(";")[0];
            }
            if( "application/json" === (ctype) ){
                return "json";
            }
            if( cType_TXT.includes(ctype) ){
                return "txt";
            }
        }
        return false;
    }


    function convertFromType(ctype, data){
        try {
            if(ctype === 'json'){
                return JSON.parse(data);
            }else{
                //txt
                return data;
            }
        } catch (error) { 
            console.log(error);
        }
        return null;
    }

    


    return {
        checkCType, convertFromType
    };
}

module.exports = utils();