

function mock(RodSession){
    let rod = new RodSession();

    rod.utils.mockImplementation(()=> rod.utils);
    rod.utils.http = jest.fn().mockImplementation(() => rod.utils.http );
    rod.utils.http.request = jest.fn();
    rod.utils.http.request_old = jest.fn();

    rod.utils.app = jest.fn().mockImplementation(() => rod.utils.app );
    rod.utils.app.conf = jest.fn();
    rod.utils.app.const = jest.fn();

    rod.utils.services = jest.fn().mockImplementation(() => rod.utils.services );
    rod.utils.services.conf = jest.fn();
    rod.utils.services.modules = jest.fn();
    
    rod.summary.mockImplementation(()=> rod.summary);
    rod.summary.addSuccessBlock = jest.fn();
    rod.summary.addErrorBlock = jest.fn();
    rod.summary.addField = jest.fn();
    rod.summary.end = jest.fn();
    rod.summary.endASync = jest.fn();

    rod.detail.mockImplementation(()=> rod.detail);
    rod.detail.addInputRequest = jest.fn();
    rod.detail.addInputResponse = jest.fn();
    rod.detail.addInputResponseTimeout = jest.fn();
    rod.detail.addInputResponseError = jest.fn();
    rod.detail.addOutputRequest = jest.fn();
    rod.detail.addOutputResponse = jest.fn();
    rod.detail.addOutputRequestRetry = jest.fn();
    rod.detail.end = jest.fn();
    return rod;
}


module.exports.init = () =>{
    jest.mock('./rodSession');
    RodSession = require('./rodSession');
    return mock(RodSession);
}








